[git commit 0_9_30] install_kernel_headers: comment out copying of extra directories, this seem to be not needed

Denis Vlasenko vda.linux at googlemail.com
Sat Oct 10 16:44:02 UTC 2009


commit: http://git.uclibc.org/uClibc/commit/?id=b88d232008ad92690fff598d81734ef6df5e96df
branch: http://git.uclibc.org/uClibc/commit/?id=refs/heads/0_9_30

Signed-off-by: Bernhard Reutner-Fischer <rep.dot.nop at gmail.com>
---
 extra/scripts/install_kernel_headers.sh |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

diff --git a/extra/scripts/install_kernel_headers.sh b/extra/scripts/install_kernel_headers.sh
index e49403a..50797b9 100755
--- a/extra/scripts/install_kernel_headers.sh
+++ b/extra/scripts/install_kernel_headers.sh
@@ -60,15 +60,17 @@ if test "`(cd "$KERNEL_HEADERS"; env pwd)`" != "`(cd "$2"; env pwd)`"; then
 		die_if_not_dir "$2/asm-generic"
 		cp -RHL "$KERNEL_HEADERS/asm-generic"/* "$2/asm-generic" || exit 1
 	fi
-	# For paranoid reasons, we use explicit list of directories
-	# which may be here. List last updated for linux-2.6.27:
-	for dir in drm mtd rdma sound video; do
-		if test -d "$KERNEL_HEADERS/$dir"; then
-			mkdir -p "$2/$dir" 2>/dev/null
-			die_if_not_dir "$2/$dir"
-			cp -RHL "$KERNEL_HEADERS/$dir"/* "$2/$dir" || exit 1
-		fi
-	done
+## vda: looks like I was fooled by two mtd directories existing
+## in include/ and include/linux/. This seems to be not needed.
+##	# For paranoid reasons, we use explicit list of directories
+##	# which may be here. List last updated for linux-2.6.27:
+##	for dir in drm mtd rdma sound video; do
+##		if test -d "$KERNEL_HEADERS/$dir"; then
+##			mkdir -p "$2/$dir" 2>/dev/null
+##			die_if_not_dir "$2/$dir"
+##			cp -RHL "$KERNEL_HEADERS/$dir"/* "$2/$dir" || exit 1
+##		fi
+##	done
 	if ! test -f "$2/linux/version.h"; then
 		echo "Warning: '$KERNEL_HEADERS/linux/version.h' is not found"
 		echo "in kernel headers directory specified in .config."
-- 
1.6.3.3



More information about the uClibc-cvs mailing list